## com.bbn.openmap.proj
Class MassStatePlane

    java.lang.Object
      |
      +--com.bbn.openmap.proj.Proj
            |
            +--com.bbn.openmap.proj.Conic
                  |
                  +--com.bbn.openmap.proj.LambertConformalConic
                        |
                        +--com.bbn.openmap.proj.MassStatePlane

All Implemented Interfaces:
  java.lang.Cloneable, Projection, java.io.Serializable

public class MassStatePlane
extends LambertConformalConic

Implements the MassStatePlane projection.

Author:
  Don Dietrick
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MassStatePlaneName` The MassStatePlane name.
`static int` `MassStatePlaneType` The MassStatePlane type of projection.

Fields inherited from class com.bbn.openmap.proj.LambertConformalConic
`F, halfPI, hy, LambertCCName, LambertCCType, n, Po, quarterPI, RF, wx`

Fields inherited from class com.bbn.openmap.proj.Conic
`backgroundColor, eastBorder, northBorder, origin, parallel1, parallel2, southBorder, westBorder`

Fields inherited from class com.bbn.openmap.proj.Proj
`ctrLat, ctrLon, DATELINE, height, maxscale, mercator, MIN_HEIGHT, MIN_WIDTH, minscale, NORTH_POLE, NUM_DEFAULT_CIRCLE_VERTS, NUM_DEFAULT_GREAT_SEGS, pixelsPerMeter, planetPixelCircumference, planetPixelRadius, planetRadius, projID, scale, scaled_radius, SOUTH_POLE, type, width, XSCALE_THRESHOLD, XTHRESHOLD`

Constructor Summary
`MassStatePlane(LatLonPoint center, float scale, int width, int height)` Construct a MassStatePlane projection.

Method Summary
`protected void` `computeMSPParameters()`
`void` `computeParameters()` Called when some fundamental parameters change.
`java.lang.String` `getName()` Get the name string of the projection.
`double` `x_meter_coord(float lat, float lon)`
`double` `y_meter_coord(float lat, float lon)`

Methods inherited from class com.bbn.openmap.proj.LambertConformalConic
`forward_x, forward_y, forward, forward, forward, getLowerRight, getUpperLeft, inverse_lat, inverse_lon, inverse, inverse, isPlotable, normalize_latitude`

Methods inherited from class com.bbn.openmap.proj.Conic
`_forwardPoly, drawBackground, forwardRaw, setBorders, setCenter, toString`

Methods inherited from class com.bbn.openmap.proj.Proj

`clone, doPolyDispatch, drawBackground, equals, forward, forward, forwardArc, forwardArc, forwardArc, forwardCircle, forwardCircle, forwardCircle, forwardGreatPoly, forwardLine, forwardLine, forwardPoly, forwardPoly, forwardRaster, forwardRect, forwardRect, forwardRect, forwardRhumbPoly, getCenter, getHeight, getMaxScale, getMinScale, getPlanetPixelCircumference, getPlanetPixelRadius, getPlanetRadius, getPPM, getProjectionID, getProjectionType, getScale, getScale, getWidth, hashCode, inverse, inverse, isComplicatedLineType, isPlotable, makeClone, pan, pan, panE, panE, panN, panN, panNE, panNE, panNW, panNW, panS, panS, panSE, panSE, panSW, panSW, panW, panW, setCenter, setHeight, setMaxScale, setMinScale, setParms, setPlanetRadius, setPPM, setProjectionID, setScale, setWidth, wrap_longitude`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MassStatePlaneName

    public static final transient java.lang.String MassStatePlaneName

  The MassStatePlane name.

  See Also:
    Constant Field Values

### MassStatePlaneType

    public static final transient int MassStatePlaneType

  The MassStatePlane type of projection.

  See Also:
    Constant Field Values

Constructor Detail

### MassStatePlane

    public MassStatePlane(LatLonPoint center,
                          float scale,
                          int width,
                          int height)

  Construct a MassStatePlane projection.

Parameters:
  `center` - LatLonPoint center of projection
  `scale` - float scale of projection
  `width` - width of screen
  `height` - height of screen

Method Detail

### computeParameters

    public void computeParameters()

  Called when some fundamental parameters change.

  Each projection will decide how to respond to this change. For instance, they may need to recalculate "constant" parameters used in the forward() and inverse() calls.

  Overrides:
    `computeParameters` in class `Conic`

### computeMSPParameters

    protected void computeMSPParameters()

### x_meter_coord

    public double x_meter_coord(float lat,
                                float lon)

### y_meter_coord

    public double y_meter_coord(float lat,
                                float lon)

### getName

    public java.lang.String getName()

  Get the name string of the projection.

  Specified by:
    `getName` in interface `Projection`
  Overrides:
    `getName` in class `LambertConformalConic`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details